Bug 1406384 (CVE-2016-9593) - CVE-2016-9593 foreman-debug: missing obfuscation of sensitive information
Summary: CVE-2016-9593 foreman-debug: missing obfuscation of sensitive information
Keywords:
Status: NEW
Alias: CVE-2016-9593
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1247120 1370168 1414112 1414113
Blocks: 1432305
TreeView+ depends on / blocked
 
Reported: 2016-12-20 12:32 UTC by Martin Prpič
Modified: 2019-09-29 14:02 UTC (History)
8 users (show)

Fixed In Version: foreman-debug 1.15.0
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in foreman-debug's logging. An attacker with access to the foreman log file would be able to view passwords, allowing them to access those systems.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Martin Prpič 2016-12-20 12:32:07 UTC
Pavel Moravec of Red Hat reports:

It was found that foreman-debug did not obfuscate sensitive information (such as passwords) from the katello-installer log file, allowing a user authorized to access the log files created by foreman-debug to gain access to potentially sensitive information.

Comment 1 Martin Prpič 2016-12-20 12:32:18 UTC
Acknowledgments:

Name: Pavel Moravec (Red Hat)

Comment 2 Lukas Zapletal 2016-12-22 08:26:48 UTC
Please associate this CVE with this BZ which is already tracking more things our filters do not catch:

https://bugzilla.redhat.com/show_bug.cgi?id=1370168

The linked one will be either closed as dupe or changed to installer (different problem).

Thanks

Comment 4 Lukas Zapletal 2017-03-06 14:52:59 UTC
This will be fixed in Foreman 1.15 and Satellite 6.3.

Comment 6 errata-xmlrpc 2018-02-21 12:25:20 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.3 for RHEL 7

Via RHSA-2018:0336 https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.